<?php

/*
  Plugin Name: Tickera - tickets left for WooCommerce
  Plugin URI: https://tickera.com/
  Description: Adds shortcode [tc_woo_event_tickets_left] which shows tickets left per event basis
  Author: Tickera.com
  Author URI: https://tickera.com/
  Version: 1.0
  TextDomain: tc
  Domain Path: /languages/

  Copyright 2016 Tickera (https://tickera.com/)
 */
add_shortcode( 'tc_woo_event_tickets_left', 'tc_woo_event_tickets_left' );

function tc_woo_event_tickets_left( $atts ) {
	global $tc, $post;
	extract( shortcode_atts( array(
		'id' => false
	), $atts ) );

	if ( $id == false ) {
		$id = $post->ID;
	}

	$posts_args = array(
		'post_type'		 => 'product',
		'post_status'	 => 'publish',
		'posts_per_page' => -1,
		'meta_query'	 => array(
			'relation' => 'AND',
			array(
				'key'		 => '_tc_is_ticket',
				'compare'	 => '=',
				'value'		 => 'yes'
			),
			array(
				'key'		 => '_event_name',
				'compare'	 => '=',
				'value'		 => $id
			),
		)
	);

	$woo_products_for_an_event_posts = get_posts( $posts_args, OBJECT );

	$stock = 0;
	foreach ( $woo_products_for_an_event_posts as $product ) {
		$stock = $stock + (int) get_post_meta( $product->ID, '_stock', true );
	}

	return $stock;
}

?>